#ifndef __PROJ_H
#define __PROJ_H
typedef struct Attr_Off_Def {
   int offset, width;
   struct Attr_Off_Def *next;
} Attr_Off;    

typedef struct Join_Attr_Off_Def {
   int offset, width, log, out_offset;
   struct Join_Attr_Off_Def *next;
} Join_Attr_Off;    

extern int CheckAttr(char *, char *);
extern Attr_Off *GetAttr(BULK_SCHEMA *, BULK_SCHEMA *);
extern Join_Attr_Off *GetJoinAttr(BULK_SCHEMA *, BULK_SCHEMA *, BULK_SCHEMA *);
extern void CopyFields(void *, Attr_Off *, void *);
extern void CopyJoinFields(void *, Join_Attr_Off *, void **);

#endif
