/*ident	"%W%" */

#ifndef STRINGSH
#define STRINGSH

#define strcpy ______strcpy
#define strncpy ______strncpy
#define strcat ______strcat
#define strncat ______strncat
#define strchr ______strchr
#define strrchr ______strrchr
#define strpbrk ______strpbrk
#define strtok ______strtok
#define index ______index
#define rindex ______rindex
#define strdup ______strdup
#define strcmp ______strcmp
#define strncmp ______strncmp
#define strlen ______strlen
#define strspn ______strspn
#define strcspn ______strcspn

/*	@(#)strings.h 1.5 88/02/07 SMI; from UCB 4.1 83/05/26	*/

/*
 * External function definitions
 * for routines described in string(3).
 */
char	*strcat();
char	*strncat();
int	strcmp();
int	strncmp();
char	*strcpy();
char	*strncpy();
int	strlen();
char	*index();
char	*rindex();
 

#undef rindex
#undef strcat
#undef strchr
#undef strlen
#undef strcmp
#undef strncat
#undef strdup
#undef strncmp
#undef strpbrk
#undef strrchr
#undef strcpy
#undef strtok
#undef strcspn
#undef strspn
#undef index
#undef strncpy

extern "C" {
	char	*strcpy(char*, const char*),
		*strncpy(char*, const char*, int),
		*strcat(char*, const char*),
		*strncat(char*, const char*, int),
		*strchr(const char*, int),
		*strrchr(const char*, int),
		*strpbrk(const char*, const char*),
		*strtok(char*, const char*);

	int	strcmp(const char*, const char*),
		strncmp(const char*, const char*, int),
		strlen(const char*),
		strspn(const char*, const char*),
		strcspn(const char*, const char*);

	char *index(const char*, char);
	char *rindex(const char*, char);
	char *strdup(const char*);

}

#endif
