//
//  moods.c
//

#include <stdio.h>

#include "smex.h"
#include "moods.h"

// Error Messages
char * ErrMsgs [] = { "No error",
                      "Unknown service code",
                      "Required info not found",
                      "Duplicate entry",
                      "Catalog error",
                      "Buffer group not opened",
                      "Catalog full",
		      "Out of memory",
 		      "Index not open"
                    };

FID currFID;           // current file Id
int currBG;            // current buffer group

void MoodsError(int ErrCode)
{
  if (ErrCode < ERR_LAST || ErrCode > 0) puts("Invalid error code reported.");
  else printf("\nMOODS Error %d: %s.\n", ErrCode, ErrMsgs[-ErrCode]);
}

void trace(char *msg)
{
  printf(">>> %s\n", msg); getchar();
}

void Panic(char *msg)
{
  printf("%s: Panic! Terminating...\n", msg);
  exit(1);
}
