
#ifndef __BJNDXDDL_H
#include "bjndxddl.h"
#endif

BJIndexCreate::BJIndexCreate( UserRequest *userReq)
{
        ur = userReq;
        strcpy(indexName,"");
        strcpy(className,"");
}

/****************************************************************************
 
        parses the following statement :
 
        ... JOIN INDEX indexName ON className pathExpression
 
*****************************************************************************/
 
BJIndexCreate::parse()
{
 
        connectUserRequest();
 
        CHECK_TOKEN(JOIN , 21, "");
 
        CHECK_TOKEN(INDEX, 22, "");
 
        // get index name
        CHECK_TOKEN(IDENTIFIER, 9, "");
        setIndexName(tokenValue());
 
        // must be On keyword
        CHECK_TOKEN(ON, 15, "");
 
        // get class name
        CHECK_TOKEN(IDENTIFIER, 6, "");
        setClassName(tokenValue());
 
        return TRUE;
}

BJIndexDrop::parse()
{
        connectUserRequest();
 
        CHECK_TOKEN(JOIN, 21, "");
 
        CHECK_TOKEN(INDEX, 22, "");
 
        // get index name
        CHECK_TOKEN(IDENTIFIER, 9, "");
        setIndexName(tokenValue());
}
