#include <Xm/MessageB.h>

void warn (Widget w, char *tag, XmAnyCallbackStruct *callback_data )
{
    Arg args[2];
    XmString t = XmStringCreateSimple("Warning: Really Shutdown Server?");
    Widget dialog;
    void response();

    /* Make sure the VendorShell associated with the dialog does not
     * react to the user's selection of the Close system menu item.
     */
    XtSetArg(args[0], XmNmessageString, t);
    XtSetArg(args[1], XmNdeleteResponse, XmDO_NOTHING);
    dialog = XmCreateWarningDialog(w, "notice", args, 2);
    XmStringFree(t);

    /* add callback routines for ok and cancel -- desensitize help */
    XtAddCallback(dialog, XmNokCallback, (XtCallbackProc)response, NULL);
    XtAddCallback(dialog, XmNcancelCallback, (XtCallbackProc)response, NULL);
    XtSetSensitive(XmMessageBoxGetChild(dialog, XmDIALOG_HELP_BUTTON), False);

    XtManageChild(dialog);
}

