#if !defined (__CHB_H)
#define __CHB_H
#define NAMELENGTH 33
#define MAX_NO_OF_TOKENS 100
#define FALSE 0
#define TRUE  1

typedef   struct {
     unsigned id;
     unsigned wid;
     char     name[NAMELENGTH];
     unsigned level;
     unsigned *child;
     unsigned no_of_child;
     unsigned *parent;
     unsigned no_of_parent;
     float    baryDown,baryUp;
     unsigned x,y;
  } vertex;

void dag_algorithm();
void update_chb();
void coord();
vertex *find_vertex(unsigned wid);
vertex *find_vertex_id(unsigned id);
void parse();
int levels();
void  median();
void position();
int levelLength(vertex *);
int medianComp(void *a,void *b);
unsigned * intchr(unsigned *a,unsigned b,unsigned c);
int compareValue(void *a,void *b);
void  medianValue(vertex *a);
int equals(vertex *a,int t);
void medianSort(vertex *a,vertex *b);
int twoVertCross(vertex *a,vertex *b,unsigned *sorted,unsigned k);
int levelCross(vertex *a);
void dispose();
void del_button(unsigned Id);
void del_child(vertex *ver);
void draw_lines();

void draw_onscreen();

#endif
