#ifndef __MOODCURSOR_H
#define __MOODCURSOR_H
#include <opt_defs.h>
#include <dbi_gen.h>
#include <dbi.h>

typedef struct {
    FID fid;
    OID CurrOid;
    int grpindex;
    OBJHDR Curroh;
    USERDESC *CurUserdesc;
    SCANDESC  *seqscandesc;
} MOODSCursor;

#define CURGRPSIZE 25

#define CheckType(a,b)    if (a != b) ;

extern  int OrgFile;
extern TID TransactionId;

extern int OpenCursor(BULK_SCHEMA *, MOODSCursor *);
extern int GetFirstObject(MOODSCursor *, char *);
extern int GetNextObject(MOODSCursor *, char *);
extern int CloseCursor(MOODSCursor *);
extern void PrintObjectValue(USERDESC *, ATTRIBUTE **, int);
extern int PrintQueryResult(BULK_SCHEMA *);

#endif

